summaryrefslogtreecommitdiff
path: root/packages/dsplink/files
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2008-07-22 19:03:41 +0000
committerKoen Kooi <koen@openembedded.org>2008-07-22 19:03:41 +0000
commitec21c7ba9226f71354a169629561b0ea555fa954 (patch)
treefd6e7b999dcede95e1688f7a86bc1ef84a21480e /packages/dsplink/files
parent2a9f087016133fa8ff3a18d009ce3ab95fc1033b (diff)
codec-engine: add neuros helper script
Diffstat (limited to 'packages/dsplink/files')
-rw-r--r--packages/dsplink/files/ticel-config55
1 files changed, 55 insertions, 0 deletions
diff --git a/packages/dsplink/files/ticel-config b/packages/dsplink/files/ticel-config
new file mode 100644
index 0000000000..13ab6b02be
--- /dev/null
+++ b/packages/dsplink/files/ticel-config
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+LIBS=""
+for lib in \
+ decode_x470MV.a \
+ TraceUtil.a \
+ bioslog.a \
+ video.a \
+ audio.a \
+ speech.a \
+ ce.a \
+ Algorithm_noOS.a \
+ alg.a \
+ osal_dsplink_linux.a \
+ osal_dsplink_linux_6446.a \
+ dman3Cfg.a \
+ acpy3.a \
+ cmem.a \
+ dsplink.lib \
+ XdmUtils.a \
+ gt.a
+do
+ LIBS="${LIBS} SEDME_STAGINGLIBDIR/${lib}"
+done
+
+CFLAGS="SEDME_CFLAGS"
+
+usage()
+{
+ echo "Usage : $0 [--cflags] [--libs]"
+ exit 1
+}
+
+test "$#" = 0 && usage
+
+OUT=""
+while test "$#" -gt 0;
+do
+ case "$1" in
+ "--cflags")
+ OUT="${OUT} ${CFLAGS}"
+ ;;
+ "--libs")
+ OUT="${OUT} ${LIBDIRS} ${LIBS}"
+ ;;
+ *)
+ usage
+ ;;
+ esac
+
+ shift
+done
+
+echo "${OUT}"
+exit 0